---
page_source: https://juspay.io/sea/docs/hyper-checkout-sea/react-native/mandates-subscriptions/mandate-execution-api
page_title: Mandate Execution API
---

## API Version: default


# Mandate Execution API



After the successful Mandate registration, Merchant will receive a mandate_id, mandate_token from Juspay that should be stored against a customer at their end. For the subsequent charge transactions, the merchant is supposed to pass a combination of customer_id and mandate_id to do a debit without a 2FA. This API will create an order and perform a transaction with PG based on the mandate_id passed in the request.## Endpoints:
- Sandbox: https://sandbox.juspay.in/txns

- Production: https://api.juspay.in/txns

## Request Type: 
POST

## Content-Type: 
application/json

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string

Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Value: MUQ2QUZEQzhFQTY0OUU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: required
## Headers:

#### Content-Type:
application/x-www-form-urlencoded
- Tags: String, Mandatory
## Sample Code Snippets:
### Code Snippets:

#### Shell Code Snippet:

```shell
curl --location 'https://api.juspay.in/txns' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Basic <base64 of key:>' \
--data-urlencode 'order.order_id=unique_order_id' \
--data-urlencode 'order.amount=1.00' \
--data-urlencode 'order.customer_id=customer_id' \
--data-urlencode 'merchant_id=merchantid' \
--data-urlencode 'mandate_id=mandate_id' \
--data-urlencode 'mandate.execution_date=1622369936' \
--data-urlencode 'format=json'
```

### Sample Request and Response:

#### Response:
```json
{
  "txn_uuid": "eulmN9X8JpeC7qK6AJq",
  "txn_id": "merchant_id-order_id-1",
  "status": "PENDING_VBV",
  "payment": {
    "authentication": {
      "url": "https://api.juspay.in/v2/pay/finish/merchant_id/eulmN9X8JpeCxxxxxJq/2621",
      "method": "GET"
    }
  },
  "order_id": "order_id"
}
```

## Body Parameters:
### Parameters:

#### order.order_id:
- Description: Unique Identifier for the order.
- Value: value
- Tags: String, Mandatory

#### order.amount:
- Description: This is the amount that a customer will be charged in this transaction.
- Tags: String, Mandatory

#### order.customer_id:
- Description: Customer Identifier against which the mandate was created.
- Tags: String, Mandatory

#### merchant_id:
- Description: The username you hold at Juspay
- Tags: String, Mandatory

#### mandate_id:
- Description: Mandate ID sent by Juspay after successful mandate registration.
- Value:  mandate.execution_date
- Tags: String, Mandatory

#### mandate.execution_date:
- Description: UNIX EPOCH timestamp format. This is for merchants only where Juspay manages the notifications. Default execution happens at 25th hour of successful notification. If a merchant wants to execute mandate at custom time anytime after 25th hour, send execution_date.

> **Warning**
> This parameter doesn't apply to mandate flows which doesnt require notification, like Net Banking ,Wallet etc., where mandate execution occurs once the merchant sends the request. 



> **Warning**
> For gateways handling notifications (e.g., Razorpay, PhonePe, Cashfree), execution follows the gateway's policy.


- Tags: String

#### format:
- Description: The format of the response. Should be passed as json.
- Tags: String, Mandatory
## API Responses:
### 200:

#### UPI Collect/Card/NB:
- Value:
  - **Txn_uuid**:
    - Tags: String
  - **Txn_id**:
    - Description: Transaction ID for the payment attempt.
    - Tags: String
  - **Status**:
    - Description: Status of the transaction. PENDING_VBV indicates that the transaction requires authentication to complete.
    - Tags: String
  - **Payment**:
    - Value:
      - **Authentication**:
        - Value:
          - **Url**:
            - Description: URL to which the user has to be taken to for completing the authentication
            - Tags: String
          - **Method**:
            - Description: HTTP Method for authentication. Can be one of GET or POST
            - Tags: String
        - Tags: object
    - Tags: object
  - **Order_id**:
    - Description: Unique Identifier for the order.
    - Tags: String
- Tags: JSON

#### UPI Intent:
- Value:
  - **Txn_uuid**:
    - Tags: String
  - **Txn_id**:
    - Description: Transaction ID for the payment attempt.
    - Tags: String
  - **Status**:
    - Description: Status of the transaction. PENDING_VBV indicates that the transaction requires authentication to complete.
    - Tags: String
  - **Payment**:
    - Value:
      - **Sdk_params**:
        - Value:
          - **Uri_params**:
            - Value:
              - **Validitystart**:
                - Tags: String
              - **Validityend**:
                - Tags: String
              - **Tr**:
                - Tags: String
              - **Tn**:
                - Tags: String
              - **Tid**:
                - Tags: String
              - **Recur**:
                - Tags: String
              - **Purpose**:
                - Tags: String
              - **Pn**:
                - Tags: String
              - **Pa**:
                - Tags: String
              - **Orgid**:
                - Tags: String
              - **Mode**:
                - Tags: String
              - **Mn**:
                - Tags: String
              - **Mc**:
                - Tags: String
              - **Cu**:
                - Tags: String
              - **Amrule**:
                - Tags: String
              - **Am**:
                - Tags: String
            - Tags: object
          - **Scheme**:
            - Tags: String
        - Tags: object
      - **Authentication**:
        - Value:
          - **Url**:
            - Description: URL to which the user has to be taken to for completing the authentication
            - Tags: String
          - **Method**:
            - Description: HTTP Method for authentication. Can be one of GET or POST
            - Tags: String
        - Tags: object
    - Tags: Object
  - **Order_id**:
    - Tags: String
  - **Offer_details**:
    - Value:
      - **Offers**:
        - Tags: array
    - Tags: object
- Tags: JSON
